Skip to main content
GET
Expense type fields - initialize

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
expenseType
enum<string>
required

Expense type where CarSpecification relates to Mileage, SubsistenceAllowance to Per Diem, etc

Available options:
CarSpecification,
FoodBenefitsSpecification,
FuelBenefitsSpecification,
ReceiptVerification,
SubsistenceAllowance

Query Parameters

expenseRecordId
string

The id of the expense to initialize the fields with UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
include
enum<string>[]

optional properties to include

Available options:
meta.capabilities,
meta.summary,
summaries
cardTransactionId
string

The id of the card transaction to initialize the fields with UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
fromReport
boolean

used when creating an expenseRecord from a report

Response

OK

Fields format of expense record

meta
object
read-only
fields
object[]

Field-builder array describing the editable properties of the resource. Each entry pairs a property name with a value and any errors.

validationErrors
object[]

Response-only. Server-populated array of validation errors that apply to the resource as a whole (not tied to a specific field).